#include <time.h>


#include <iostream>
#include <iomanip>
#include <string>

#include "genConfFileCode.hh"
#include "ConfFileData.hh"

char *USAGE="USAGE: -H / -C / -K / -R / -D";

int main (int argc, char *argv[])
{
  char *datestr;
  time_t secs;

  time(&secs);
  datestr=strdup(ctime(&secs));

  yy_flex_debug=0;
  genConfFileCode_debug=0;

  if(argc==2)
  {
    genConfFileCode_parse();
    //cerr << "parse ok" << endl;

    if(argv[1][1]=='H')
      ConfFileData::dumpHeaderLines(cout,datestr,argv[0]);
    else if(argv[1][1]=='C')
      ConfFileData::dumpCodeLines(cout,datestr,argv[0]);
    else if(argv[1][1]=='K')
      ConfFileData::dumpKeywordLines(cout);
    else if(argv[1][1]=='R')
      ConfFileData::dumpRuleLines(cout);
    else if(argv[1][1]=='D')
      ConfFileData::dumpDefaultLines(cout,datestr,argv[0]);
    else if(argv[1][1]=='A')
    {
      // -A is only for testing
      ConfFileData::dumpHeaderLines(cout,datestr,argv[0]);
      cout << "................................................." << endl;
      ConfFileData::dumpCodeLines(cout,datestr,argv[0]);
      cout << "................................................." << endl;
      ConfFileData::dumpKeywordLines(cout);
      cout << "................................................." << endl;
      ConfFileData::dumpRuleLines(cout);
      cout << "................................................." << endl;
      ConfFileData::dumpDefaultLines(cout,datestr,argv[0]);
    }
    else
      cerr << USAGE << endl;
  }
  else
    cerr << USAGE << endl;

  free(datestr);
  return 0;
}
