%{
#include <iostream>
#include <string.h>

#include "_genConfFileCode.tab.hh"

#define BACK  (&genConfFileCode_lval)
#define YY_DECL int genConfFileCode_lex(void)
%}

%option debug
%option nodefault
%option nounput
%option noyywrap


DIGIT		[0-9]
UNSIGNED_INT	{DIGIT}+
INTEGER		-?{UNSIGNED_INT}
REAL 		{INTEGER}\.{UNSIGNED_INT}([eE]{INTEGER})?
NAME		[A-Za-z][0-9A-Za-z\_]+
CHARS		[0-9A-Za-z\-\_ ]+

%%

LONG		{ return KW_LONG; }
DOUBLE		{ return KW_DOUBLE; }
STRING		{ return KW_STRING; }

{NAME}		{ BACK->chars = strdup(yytext); return NAME; }
:		{ return COLON; }

{INTEGER} 	{ BACK->lval  = atol  (yytext); return LONG;   }
{REAL} 		{ BACK->dval  = atof  (yytext); return DOUBLE; }
\"{CHARS}\"	{ BACK->chars = strdup(yytext); return CHARS;  }

^#.*$		{ BACK->chars = strdup(yytext+1); return COMMENTLINE; }
^[ \t]*\n	{ return EMPTYLINE; }

#.*$		/* ignore comments */
([ \t])+	/* ignore white space */
\n		/* ignore newlines */

.		{ std::cerr << __FILE__ << ": Tokenizer Error at <"
		            << yytext << ">" //<< " in line " << yylineno
		            << std::endl;
		  return ERROR;
		}
