/******************************************************************************
 * ParsedObjects.hh
 * Copyright (c) 2003 Virtual Werder
 *
 *
 * implements:
 *   class ParsedBall
 *   class ParsedPlayer
 *
 * requires:
 *
 *
 * Created on: 18.07.2003 by pagra
 * Maintainer: pagra
 * Group:
 * Co-authors:
 *****************************************************************************/

#ifndef PARSEDOBJECTS_HH
#define PARSEDOBJECTS_HH



/**
 This class keeps data of a ball, parsed by the parser
 @ingroup Parser
 @brief class ParsedBall in group Parser
*/
class ParsedBall {
public:
  ParsedBall();
  ~ParsedBall();

  float posX, posY;
  float velX, velY;
};

/**
 This class keeps data of a player, parsed by the parser
 @ingroup Parser
 @brief class ParsedPlayer in group Parser
*/
class ParsedPlayer {
public:
  ParsedPlayer();
  ~ParsedPlayer();

  inline bool isGoalie() const { return goalie; }

  int uNum;
  bool goalie;
  float posX, posY;
  float velX, velY;
  float bodyAngle, neckAngle;
};

#endif // PARSEDOBJECTS_HH
